#include "point.h"
#include "models.h"

Person::Person(){
    p.x = DEFAULT_X;
    p.y = DEFAULT_Y;
    jump_count = 0;
    jump_time = 0;
}

point Person::update(){
    if(jump_time == 0){
        //not jump
        return p;
    }else if(jump_time == MAX_JUMP_TIME){
        //down
        p.y -= 1;
    }else{
        //up
        jump_time++;
        p.y++;
    }
    return p;
}

point Person::ground(){
    jump_count = 0;
    jump_time = 0;
    return p;
}

point Person::jump(){
    if(jump_count < MAX_JUMP_COUNT){
        p.y++;
        jump_time = 1;
        jump_count++;
    }
    return p;
}